# Method: users.patch

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/users/patch#try-it)

Updates an existing user. Returns the updated user if successful.

This method has unique authentication requirements. Read the prerequisites in our [Managing Users guide](https://developers.google.com/display-video/api/guides/users/overview#prerequisites) before using this method.

The "Try this method" feature does not work for this method.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v2/users/{user.userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `user.userId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the user. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/users#User`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/users#User`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video-user-management`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).